{
  inputs = {
    nixpkgs.url = "github:NixOS/nixpkgs/nixos-unstable";
  };
  outputs = { self, nixpkgs, ... }: {
    packages = nixpkgs.lib.genAttrs [ "x86_64-linux" "aarch64-linux" ] (system: let
      pkgs = import nixpkgs {
        inherit system;
      };
    in rec {
      scan-to-gpg = pkgs.buildGoModule {
        pname = "scan-to-gpg";
        version = "0.0.1";

        src = ./.;

        vendorHash = "sha256-SrsjcNtqQdE8Gekjn72JhCysfNmKJs7ju2BcKnOQf/U=";

        meta = {
          mainProgram = "scan-to-gpg";
        };
      };

      default = scan-to-gpg;
    });

    nixosModules = rec {
      scan-to-gpg = import ./module.nix;
      default = scan-to-gpg;
    };

    hydraJobs = {
      inherit (self)
        packages;
    };
  };
}
